Subject: bug#25627: 25.1; `help-make-xrefs' loads `cl-extra.el' now

From: Drew Adams <[email-masked]>
Date: Tue, 7 Feb 2017 21:40:51 -0800 (PST)

> >> > Why don't more (even most) of the files distributed with
> >> > Emacs have this variable set (to non-nil)?
> >>
> >> Loading functions one by one can be slower than loading them all at
> >> once.  Some justification would be needed for adding this (e.g., if a
> >> file contains many independent functions that would usually be used in
> >> isolation).
> >
> > Yes, I read that.  A guess would be that that would be the case
> > for many more files than the few that use it now.
> >
> > Files could also be split, to factor out functions for which
> > that is true.
> 
> Possibly, but I would guess the benefits of doing this would be rather
> tiny.  I mean, the best we can hope for is to save a few hundred
> kilobytes of RAM, right?

Why is it more important for (all of) the files where it has been
done than for other libraries where there are multiple, essentially
independent pieces (including independent commands)?  What about
things like org, calc, gnus?  If it helps to do it to something like
calendar, an (uninformed) guess would say it might help to do it to
libraries like those.  Org, in particular, has lots of different
kinds of stuff in it.  I'd imagine there are bits that are relatively
independent.  Just guessing.